Name:           php-zend-guard-loader
Version:        5.5.0
Release:        1BX01
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         SOLARSPEED.NET
URL:            http://www.solarspeed.net
License:        Proprietory/Zend
Group:          System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      i386
Distribution:   BlueOnyx on CentOS5
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        Zend GuardLoader is a commercial encryption and accellerator program for PHP scripts.
Requires	: libmcrypt >= 2.5.7
Requires	: libtool-ltdl

AutoReq         : no
AutoProv        : yes

%description
Zend GuardLoader is a commercial encryption and accellerator program for PHP scripts.

%prep
%setup -q -n %{name}-%{version}-%{release}

%build

rm -R -f $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mv * $RPM_BUILD_ROOT/

%install
  [ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# Symlinks:
# Recreates source tarball if need be - with dereferenced symlinks.

    find $RPM_BUILD_ROOT/ -type l -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" > solSymLinks.list
    if [ "$(cat solSymLinks.list)X" = "X" ] ; then
        pwd
    else
        rm -f %{name}-%{version}-%{release}.tar.gz
        tar czvfh /usr/src/redhat/SOURCES/%{name}-%{version}-%{release}.tar.gz -C /usr/src/redhat/SOURCES/ %{name}-%{version}-%{release}/
    fi

# Files:

  find $RPM_BUILD_ROOT/ -type f -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v perllocal.pod | \
    grep -v ioncube.hidden | \
    grep -v "\.packlist" > solFile.list

  if [ "$(cat solFile.list)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
  fi

%pre

%post
if [ -f /var/run/httpd.pid ];then
	/etc/init.d/httpd condrestart >/dev/null 2>&1
fi

%preun

%postun
if [ -f /var/run/httpd.pid ];then
	/etc/init.d/httpd condrestart >/dev/null 2>&1
fi
%clean
rm -R -f $RPM_BUILD_ROOT

%files -f solFile.list
%defattr(-,root,root)

%changelog

* Wed Jul 13 2011  Michael Stauber <mstauber@solarspeed.net>
- [5.5.0-1BX1:] Initial build for BlueOnyx 5107R


